Bug 437930 (XenPvopsDom0)

Summary: kernel lacks support for xen Dom0
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: kernelAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 12CC: bjrosen, daw-redhatbugzilla, debian, drdoom, gyurco, itamar, johnny, john, kernel-maint, ma, maria_parson, markmc, mstadtle, ondrejj
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-05 02:12:53 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 434756    

Description Jens Petersen 2008-03-18 04:23:34 EDT
Description of problem:
I installed the xen kernel on my rawhide box and it does not seem to boot.
Looks like it oops during booting.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.25-0.2.rc4.fc9

How reproducible:
every time

Steps to Reproduce:
1. install rawhide with virtualization
2. boot into kernel-xen
  
Actual results:
oopses during boot

Expected results:
to boot
Comment 1 Jens Petersen 2008-03-18 04:24:11 EDT
This is i686 BTW.
Comment 2 Daniel Berrange 2008-03-18 08:36:59 EDT
We are not expecting to support  Xen Dom0 in Fedora 9 GA release, so this is an
expected failure:

http://www.redhat.com/archives/fedora-devel-list/2008-March/msg00492.html
Comment 3 Mark McLoughlin 2008-03-18 08:39:12 EDT
This is Dom0, right? Not a Xen DomU guest?

Fedora 9 won't contain a kernel capable of booting as Dom0. See these links for
more details:

  http://fedoraproject.org/wiki/Features/XenPvops
  http://www.redhat.com/archives/fedora-xen/2008-March/msg00013.html

It is recommended to use F-8 as a Dom0 until F-10

If this an issue with a Xen DomU guest, please re-open.
Comment 4 Mark McLoughlin 2008-04-28 12:25:28 EDT
*** Bug 443985 has been marked as a duplicate of this bug. ***
Comment 5 Mark McLoughlin 2008-04-28 12:25:46 EDT
*** Bug 444266 has been marked as a duplicate of this bug. ***
Comment 6 Mark McLoughlin 2008-05-04 14:48:31 EDT
*** Bug 444965 has been marked as a duplicate of this bug. ***
Comment 7 Mark McLoughlin 2008-05-04 14:57:17 EDT
*** Bug 441138 has been marked as a duplicate of this bug. ***
Comment 8 Mark McLoughlin 2008-05-12 02:31:31 EDT
*** Bug 446009 has been marked as a duplicate of this bug. ***
Comment 9 Daniel Berrange 2008-05-13 21:25:24 EDT
*** Bug 446308 has been marked as a duplicate of this bug. ***
Comment 10 Daniel Berrange 2008-05-14 19:24:31 EDT
*** Bug 446515 has been marked as a duplicate of this bug. ***
Comment 11 Mark McLoughlin 2008-05-19 05:03:31 EDT
*** Bug 447274 has been marked as a duplicate of this bug. ***
Comment 12 Daniel Berrange 2008-06-13 05:01:01 EDT
*** Bug 451156 has been marked as a duplicate of this bug. ***
Comment 13 Eduardo Habkost 2008-06-18 09:52:10 EDT
*** Bug 451969 has been marked as a duplicate of this bug. ***
Comment 14 Mark McLoughlin 2008-08-12 10:47:24 EDT
*** Bug 458808 has been marked as a duplicate of this bug. ***
Comment 15 Jan ONDREJ 2008-08-13 04:19:24 EDT
May be leaving this bug open will avoid adding more and more duplicates.
When somebody is searching for similar bug in bugzilla, in most situations does not search over closed bugs.

Why it's problematic to rebuild kernel-xen-2.6 package on F9?
Comment 16 Mark McLoughlin 2008-08-13 04:45:47 EDT
*** Bug 458808 has been marked as a duplicate of this bug. ***
Comment 17 Mark McLoughlin 2008-08-13 04:51:29 EDT
(In reply to comment #15)
> May be leaving this bug open will avoid adding more and more duplicates.
> When somebody is searching for similar bug in bugzilla, in most situations does
> not search over closed bugs.

Fair point; it is still a bug, even if it won't be fixed for F10

> Why it's problematic to rebuild kernel-xen-2.6 package on F9?

Discussed many times on fedora-xen@redhat.com, e.g.

  https://www.redhat.com/archives/fedora-xen/2008-July/msg00048.html

Maintaining the old backport of the 2.6.18 tree is wasted effort; the future is with the pv_ops support in Linus's tree.
Comment 18 Bug Zapper 2008-11-25 21:09:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Mark McLoughlin 2009-08-18 07:00:03 EDT
clearly this is still an issue in rawhide
Comment 20 Bug Zapper 2009-11-16 03:03:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2010-11-04 07:59:33 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2010-12-05 02:12:53 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.